package com.illposed.osc;
/**
 * Supertype for marshaling OSC input
 * @author bjoern
 *
 */
public interface OSCMarshalIn {
	public void addListener(String anAddress, OSCListener listener);
	public void removeAllListeners() ;
	public boolean removeListener(String anAddress);
	public OSCListener getListener(String anAddress);
	public boolean changeListenerAddress(String oldAddress, String newAddress);
	public void close();
}
