package edu.stanford.hci.dtools.io.make.test;

import java.net.InetAddress;
import java.net.UnknownHostException;

import edu.stanford.hci.dtools.io.make.MakeControllerOSCPort;
import edu.stanford.hci.dtools.serial.test.TestListener;

public class TestMakeController {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			MakeControllerOSCPort makePort = 
				new MakeControllerOSCPort(
						10000, 
						InetAddress.getByName("192.168.0.200"),
						10000,
						100);
			TestListener test = new TestListener();
			makePort.addListener("/adc0", test);
		} catch (UnknownHostException e) {
			e.printStackTrace();
		}

	}

}
