package edu.stanford.hci.exemplar;
import edu.stanford.hci.exemplar.preferences.*;
/**
 * Exemplar
 * Copyright (c) 2004-2007, Stanford University
 * All rights reserved.
 *
 * <p>
 * This software is distributed under the <a href="http://hci.stanford.edu/research/copyright.txt">
 * BSD License</a>.
 * </p>
 * 
 * 
 * @author <a href="http://bjoern.org/">Bjoern Hartmann</a> ( bjoern(AT)stanford.edu )
 */
public class Converter {
	static Float max_a2d_val;
	
	static {
		initialize();
	}
	
	public static Float a2dIntToFloat(Integer i) {
		return i.floatValue()/max_a2d_val;
	}
	public static Object a2dFloatToInt(Float float1) {
		return (int)(float1*max_a2d_val);
	}
	public static void initialize() {
		max_a2d_val = new Float(Activator.getDefault().getPreferenceStore().getInt(PreferenceConstants.P_MAXA2DVAL));
		
	}
}
