package edu.stanford.hci.exemplar;

import java.io.Serializable;
/**
 * Exemplar
 * Copyright (c) 2004-2007, Stanford University
 * All rights reserved.
 *
 * <p>
 * This software is distributed under the <a href="http://hci.stanford.edu/research/copyright.txt">
 * BSD License</a>.
 * </p>
 * 
 * 
 * @author <a href="http://bjoern.org/">Bjoern Hartmann</a> ( bjoern(AT)stanford.edu )
 * @author Leith Abdulla
 */
public class FilterEntry implements Serializable{
	
	private static final long serialVersionUID = 1L;
	public FilterType type= null;
	public Class detail = null;
	public boolean active = false;
	public FilterEntry(FilterType type, boolean active) {
		super();
		this.type = type;
		this.active = active;
		this.detail = null;
	}
	public FilterEntry(FilterType type, boolean active, Class detail) {
		super();
		this.type = type;
		this.active = active;
		this.detail = detail;
	}
}
