package edu.stanford.hci.exemplar.preferences;
/**
 * Exemplar
 * Copyright (c) 2004-2007, Stanford University
 * All rights reserved.
 *
 * <p>
 * This software is distributed under the <a href="http://hci.stanford.edu/research/copyright.txt">
 * BSD License</a>.
 * </p>
 * 
 * 
 * @author <a href="http://bjoern.org/">Bjoern Hartmann</a> ( bjoern(AT)stanford.edu )
 * @author Leith Abdulla
 */
public class PreferenceConstants {
	public static final String P_COMPORT = "comPortPreference";
	public static final String P_COMSPEED = "comSpeedPreference";
	public static final String P_TCP_OUTPUT_PORT = "tcpPortPreference";
	public static final String P_MAXA2DVAL = "maxA2DValPreference";

	public static final String P_INPUT_PROTOCOL = "serialProtocolPreference";
	public static final String P_INPUT_OSCSERIAL = "oscSerialPreference";
	public static final String P_INPUT_WITILTSERIAL = "witiltSerialPreference";
	public static final String P_INPUT_UDP = "inputUdp";
	public static final String P_INPUT_MAKEUDP = "inputMakeUdp";


	public static final String P_ADJUSTREGION = "adjustRegionPreference";
	public static final String P_ADJUSTON = "adjustOn";
	public static final String P_ADJUSTOFF = "adjustOff";

	public static final String P_OUTPUT_PROTOCOL = "outputProtocol";
	public static final String P_OUTPUT_FLASH = "outputFlash"; 
	public static final String P_OUTPUT_OSCUDP = "outputOscUdp";

	public static final String P_UDP_OUTPUT_PORT = "udpPort";
	public static final String P_UDP_OUTPUT_IPADDRESS = "udpIpAddress";
	public static final String P_UDP_INPUT_PORT = "udpInPort";
	
	
}
