package edu.stanford.hci.dtools.serial.test;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import com.illposed.osc.OSCListener;

import edu.stanford.hci.dtools.serial.WiTiltSerialPort;

public class TestWiTilt {

	/**
	 * @param args
	 * @throws InterruptedException 
	 * @throws IOException 
	 */
	public static void main(String[] args) throws InterruptedException, IOException {
		BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
		System.out.println("Opening WiTilt port");
		WiTiltSerialPort witilt = new WiTiltSerialPort("COM16");
		OSCListener listener = new TestListener();
		witilt.addListener("/adc0", listener);
		witilt.addListener("/reset", listener);
		System.out.println("Press Enter to initialize WiTilt.");
		in.readLine();
		System.out.println("Initializing WiTilt");
		witilt.initWiTilt();
		
		
	}
}
