package edu.stanford.hci.exemplar.exensions;

/**
 * This is an example file that shows how to implement a simple FilterExtension 
 * for use in Exemplar's Filter section.
 *
 * Exemplar
 * Copyright (c) 2004-2007, Stanford University
 * All rights reserved.
 *
 * <p>
 * This software is distributed under the <a href="http://hci.stanford.edu/research/copyright.txt">
 * BSD License</a>.
 * </p>
 * 
 * 
 * @author <a href="http://bjoern.org/">Bjoern Hartmann</a> ( bjoern(AT)stanford.edu )
 * @author Leith Abdulla
 */
public class CustomFilter1 extends FilterExtension {

	public String getDescription() {
		return "My first test filter";
	}

	public String getName() {
		return "TestFilter1";
	}

	@Override
	public Float process(int time) {
		return getInput(time)-0.25f;
	}

}
