package edu.stanford.hci.exemplar;

import org.eclipse.swt.graphics.RGB;
/**
 * Exemplar
 * Copyright (c) 2004-2007, Stanford University
 * All rights reserved.
 *
 * <p>
 * This software is distributed under the <a href="http://hci.stanford.edu/research/copyright.txt">
 * BSD License</a>.
 * </p>
 * 
 * 
 * @author <a href="http://bjoern.org/">Bjoern Hartmann</a> ( bjoern(AT)stanford.edu )
 * @see http://www.personal.psu.edu/cab38/ColorBrewer/ColorBrewer.html
 */
public class ColorBrewer {
	public static RGB getQualitative(int index) {
		
		switch(index%7) {
		case 0:
			return new RGB(127,201,127);
		case 1:
			return new RGB(190,174,212);
		case 2:
			return new RGB(253,192,134);
		case 3:
			return new RGB(56,108,176);
		case 4:
			return new RGB(240,2,127);
		case 5:
			return new RGB(191,91,23);
		case 6:
			return new RGB(102,102,102);
		default:
			//shouldn't get here
			return null;
		}
	}
}
