package edu.stanford.hci.exemplar.widgets;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.MouseAdapter;
import org.eclipse.swt.events.MouseEvent;
import org.eclipse.swt.layout.RowData;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Canvas;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Text;

import com.cloudgarden.resource.SWTResourceManager;

/**
* This code was edited or generated using CloudGarden's Jigloo
* SWT/Swing GUI Builder, which is free for non-commercial
* use. If Jigloo is being used commercially (ie, by a corporation,
* company or business for any purpose whatever) then you
* should purchase a license for each developer using Jigloo.
* Please visit www.cloudgarden.com for details.
* Use of Jigloo implies acceptance of these licensing terms.
* A COMMERCIAL LICENSE HAS NOT BEEN PURCHASED FOR
* THIS MACHINE, SO JIGLOO OR THIS CODE CANNOT BE USED
* LEGALLY FOR ANY CORPORATE OR COMMERCIAL PURPOSE.
*/
/**
 * Exemplar
 * Copyright (c) 2004-2007, Stanford University
 * All rights reserved.
 *
 * <p>
 * This software is distributed under the <a href="http://hci.stanford.edu/research/copyright.txt">
 * BSD License</a>.
 * </p>
 * 
 * 
 * @author <a href="http://bjoern.org/">Bjoern Hartmann</a> ( bjoern(AT)stanford.edu )
 * @author Leith Abdulla
 */
public class OneSensorComposite extends Composite {
	
	private String OSCAddress;
	
	private Text text1;
	private Canvas canvas1;
	
	{
		//Register as a resource user - SWTResourceManager will
		//handle the obtaining and disposing of resources
		SWTResourceManager.registerResourceUser(this);
		//DEBUG
		
	}

	public OneSensorComposite(AllSensorsComposite parent, int style, String OSCAddress) {
		super(parent, style);
     	this.OSCAddress=OSCAddress;
		initGUI();	
	}

	
	private void initGUI() {
		try {
			RowLayout thisLayout = new RowLayout(org.eclipse.swt.SWT.VERTICAL);
			thisLayout.fill = true;
			thisLayout.spacing = 0;
			thisLayout.type = SWT.VERTICAL;
			this.setLayout(thisLayout);
			this.setSize(75, 99);
			{
				canvas1 = new SensorDataCanvas(this, SWT.NONE | SWT.DOUBLE_BUFFERED,OSCAddress);
				canvas1.addMouseListener(new MouseAdapter() {
					public void mouseDown(MouseEvent evt) {
						canvas1MouseDown(evt);
					}
				});

			}
			/*{
				text1 = new Text(this, SWT.NONE);
				RowData text1LData = new RowData();
				text1LData.width = 64;
				text1.setLayoutData(text1LData);
				text1.setText(OSCAddress);
			}*/
						
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public String getOSCAddress() {
		return OSCAddress;
	}
	
	private void canvas1MouseDown(MouseEvent evt) {
		Canvas c = (Canvas)evt.widget;
		AllSensorsComposite.makeSelection((OneSensorComposite)c.getParent(),(evt.stateMask & SWT.CTRL)!=0);
	}

}
